Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network170.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
170.0.0.0
Broadcast address
171.255.255.255
First usable
170.0.0.1
Last usable
171.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex AA000000 · Integer 2852126720 to 2885681151
Reverse DNS zones
170.in-addr.arpa
171.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101010.00000000.00000000.00000000170.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10101010.00000000.00000000.00000000170.0.0.0
Broadcast10101011.11111111.11111111.11111111171.255.255.255
Split into smaller subnets/14

170.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1170.0.0.0/14170.0.0.1 to 170.3.255.254170.3.255.255262,142
2170.4.0.0/14170.4.0.1 to 170.7.255.254170.7.255.255262,142
3170.8.0.0/14170.8.0.1 to 170.11.255.254170.11.255.255262,142
4170.12.0.0/14170.12.0.1 to 170.15.255.254170.15.255.255262,142
5170.16.0.0/14170.16.0.1 to 170.19.255.254170.19.255.255262,142
6170.20.0.0/14170.20.0.1 to 170.23.255.254170.23.255.255262,142
7170.24.0.0/14170.24.0.1 to 170.27.255.254170.27.255.255262,142
8170.28.0.0/14170.28.0.1 to 170.31.255.254170.31.255.255262,142
9170.32.0.0/14170.32.0.1 to 170.35.255.254170.35.255.255262,142
10170.36.0.0/14170.36.0.1 to 170.39.255.254170.39.255.255262,142
11170.40.0.0/14170.40.0.1 to 170.43.255.254170.43.255.255262,142
12170.44.0.0/14170.44.0.1 to 170.47.255.254170.47.255.255262,142
13170.48.0.0/14170.48.0.1 to 170.51.255.254170.51.255.255262,142
14170.52.0.0/14170.52.0.1 to 170.55.255.254170.55.255.255262,142
15170.56.0.0/14170.56.0.1 to 170.59.255.254170.59.255.255262,142
16170.60.0.0/14170.60.0.1 to 170.63.255.254170.63.255.255262,142
17170.64.0.0/14170.64.0.1 to 170.67.255.254170.67.255.255262,142
18170.68.0.0/14170.68.0.1 to 170.71.255.254170.71.255.255262,142
19170.72.0.0/14170.72.0.1 to 170.75.255.254170.75.255.255262,142
20170.76.0.0/14170.76.0.1 to 170.79.255.254170.79.255.255262,142
21170.80.0.0/14170.80.0.1 to 170.83.255.254170.83.255.255262,142
22170.84.0.0/14170.84.0.1 to 170.87.255.254170.87.255.255262,142
23170.88.0.0/14170.88.0.1 to 170.91.255.254170.91.255.255262,142
24170.92.0.0/14170.92.0.1 to 170.95.255.254170.95.255.255262,142
25170.96.0.0/14170.96.0.1 to 170.99.255.254170.99.255.255262,142
26170.100.0.0/14170.100.0.1 to 170.103.255.254170.103.255.255262,142
27170.104.0.0/14170.104.0.1 to 170.107.255.254170.107.255.255262,142
28170.108.0.0/14170.108.0.1 to 170.111.255.254170.111.255.255262,142
29170.112.0.0/14170.112.0.1 to 170.115.255.254170.115.255.255262,142
30170.116.0.0/14170.116.0.1 to 170.119.255.254170.119.255.255262,142
31170.120.0.0/14170.120.0.1 to 170.123.255.254170.123.255.255262,142
32170.124.0.0/14170.124.0.1 to 170.127.255.254170.127.255.255262,142
33170.128.0.0/14170.128.0.1 to 170.131.255.254170.131.255.255262,142
34170.132.0.0/14170.132.0.1 to 170.135.255.254170.135.255.255262,142
35170.136.0.0/14170.136.0.1 to 170.139.255.254170.139.255.255262,142
36170.140.0.0/14170.140.0.1 to 170.143.255.254170.143.255.255262,142
37170.144.0.0/14170.144.0.1 to 170.147.255.254170.147.255.255262,142
38170.148.0.0/14170.148.0.1 to 170.151.255.254170.151.255.255262,142
39170.152.0.0/14170.152.0.1 to 170.155.255.254170.155.255.255262,142
40170.156.0.0/14170.156.0.1 to 170.159.255.254170.159.255.255262,142
41170.160.0.0/14170.160.0.1 to 170.163.255.254170.163.255.255262,142
42170.164.0.0/14170.164.0.1 to 170.167.255.254170.167.255.255262,142
43170.168.0.0/14170.168.0.1 to 170.171.255.254170.171.255.255262,142
44170.172.0.0/14170.172.0.1 to 170.175.255.254170.175.255.255262,142
45170.176.0.0/14170.176.0.1 to 170.179.255.254170.179.255.255262,142
46170.180.0.0/14170.180.0.1 to 170.183.255.254170.183.255.255262,142
47170.184.0.0/14170.184.0.1 to 170.187.255.254170.187.255.255262,142
48170.188.0.0/14170.188.0.1 to 170.191.255.254170.191.255.255262,142
49170.192.0.0/14170.192.0.1 to 170.195.255.254170.195.255.255262,142
50170.196.0.0/14170.196.0.1 to 170.199.255.254170.199.255.255262,142
51170.200.0.0/14170.200.0.1 to 170.203.255.254170.203.255.255262,142
52170.204.0.0/14170.204.0.1 to 170.207.255.254170.207.255.255262,142
53170.208.0.0/14170.208.0.1 to 170.211.255.254170.211.255.255262,142
54170.212.0.0/14170.212.0.1 to 170.215.255.254170.215.255.255262,142
55170.216.0.0/14170.216.0.1 to 170.219.255.254170.219.255.255262,142
56170.220.0.0/14170.220.0.1 to 170.223.255.254170.223.255.255262,142
57170.224.0.0/14170.224.0.1 to 170.227.255.254170.227.255.255262,142
58170.228.0.0/14170.228.0.1 to 170.231.255.254170.231.255.255262,142
59170.232.0.0/14170.232.0.1 to 170.235.255.254170.235.255.255262,142
60170.236.0.0/14170.236.0.1 to 170.239.255.254170.239.255.255262,142
61170.240.0.0/14170.240.0.1 to 170.243.255.254170.243.255.255262,142
62170.244.0.0/14170.244.0.1 to 170.247.255.254170.247.255.255262,142
63170.248.0.0/14170.248.0.1 to 170.251.255.254170.251.255.255262,142
64170.252.0.0/14170.252.0.1 to 170.255.255.254170.255.255.255262,142
65171.0.0.0/14171.0.0.1 to 171.3.255.254171.3.255.255262,142
66171.4.0.0/14171.4.0.1 to 171.7.255.254171.7.255.255262,142
67171.8.0.0/14171.8.0.1 to 171.11.255.254171.11.255.255262,142
68171.12.0.0/14171.12.0.1 to 171.15.255.254171.15.255.255262,142
69171.16.0.0/14171.16.0.1 to 171.19.255.254171.19.255.255262,142
70171.20.0.0/14171.20.0.1 to 171.23.255.254171.23.255.255262,142
71171.24.0.0/14171.24.0.1 to 171.27.255.254171.27.255.255262,142
72171.28.0.0/14171.28.0.1 to 171.31.255.254171.31.255.255262,142
73171.32.0.0/14171.32.0.1 to 171.35.255.254171.35.255.255262,142
74171.36.0.0/14171.36.0.1 to 171.39.255.254171.39.255.255262,142
75171.40.0.0/14171.40.0.1 to 171.43.255.254171.43.255.255262,142
76171.44.0.0/14171.44.0.1 to 171.47.255.254171.47.255.255262,142
77171.48.0.0/14171.48.0.1 to 171.51.255.254171.51.255.255262,142
78171.52.0.0/14171.52.0.1 to 171.55.255.254171.55.255.255262,142
79171.56.0.0/14171.56.0.1 to 171.59.255.254171.59.255.255262,142
80171.60.0.0/14171.60.0.1 to 171.63.255.254171.63.255.255262,142
81171.64.0.0/14171.64.0.1 to 171.67.255.254171.67.255.255262,142
82171.68.0.0/14171.68.0.1 to 171.71.255.254171.71.255.255262,142
83171.72.0.0/14171.72.0.1 to 171.75.255.254171.75.255.255262,142
84171.76.0.0/14171.76.0.1 to 171.79.255.254171.79.255.255262,142
85171.80.0.0/14171.80.0.1 to 171.83.255.254171.83.255.255262,142
86171.84.0.0/14171.84.0.1 to 171.87.255.254171.87.255.255262,142
87171.88.0.0/14171.88.0.1 to 171.91.255.254171.91.255.255262,142
88171.92.0.0/14171.92.0.1 to 171.95.255.254171.95.255.255262,142
89171.96.0.0/14171.96.0.1 to 171.99.255.254171.99.255.255262,142
90171.100.0.0/14171.100.0.1 to 171.103.255.254171.103.255.255262,142
91171.104.0.0/14171.104.0.1 to 171.107.255.254171.107.255.255262,142
92171.108.0.0/14171.108.0.1 to 171.111.255.254171.111.255.255262,142
93171.112.0.0/14171.112.0.1 to 171.115.255.254171.115.255.255262,142
94171.116.0.0/14171.116.0.1 to 171.119.255.254171.119.255.255262,142
95171.120.0.0/14171.120.0.1 to 171.123.255.254171.123.255.255262,142
96171.124.0.0/14171.124.0.1 to 171.127.255.254171.127.255.255262,142
97171.128.0.0/14171.128.0.1 to 171.131.255.254171.131.255.255262,142
98171.132.0.0/14171.132.0.1 to 171.135.255.254171.135.255.255262,142
99171.136.0.0/14171.136.0.1 to 171.139.255.254171.139.255.255262,142
100171.140.0.0/14171.140.0.1 to 171.143.255.254171.143.255.255262,142
101171.144.0.0/14171.144.0.1 to 171.147.255.254171.147.255.255262,142
102171.148.0.0/14171.148.0.1 to 171.151.255.254171.151.255.255262,142
103171.152.0.0/14171.152.0.1 to 171.155.255.254171.155.255.255262,142
104171.156.0.0/14171.156.0.1 to 171.159.255.254171.159.255.255262,142
105171.160.0.0/14171.160.0.1 to 171.163.255.254171.163.255.255262,142
106171.164.0.0/14171.164.0.1 to 171.167.255.254171.167.255.255262,142
107171.168.0.0/14171.168.0.1 to 171.171.255.254171.171.255.255262,142
108171.172.0.0/14171.172.0.1 to 171.175.255.254171.175.255.255262,142
109171.176.0.0/14171.176.0.1 to 171.179.255.254171.179.255.255262,142
110171.180.0.0/14171.180.0.1 to 171.183.255.254171.183.255.255262,142
111171.184.0.0/14171.184.0.1 to 171.187.255.254171.187.255.255262,142
112171.188.0.0/14171.188.0.1 to 171.191.255.254171.191.255.255262,142
113171.192.0.0/14171.192.0.1 to 171.195.255.254171.195.255.255262,142
114171.196.0.0/14171.196.0.1 to 171.199.255.254171.199.255.255262,142
115171.200.0.0/14171.200.0.1 to 171.203.255.254171.203.255.255262,142
116171.204.0.0/14171.204.0.1 to 171.207.255.254171.207.255.255262,142
117171.208.0.0/14171.208.0.1 to 171.211.255.254171.211.255.255262,142
118171.212.0.0/14171.212.0.1 to 171.215.255.254171.215.255.255262,142
119171.216.0.0/14171.216.0.1 to 171.219.255.254171.219.255.255262,142
120171.220.0.0/14171.220.0.1 to 171.223.255.254171.223.255.255262,142
121171.224.0.0/14171.224.0.1 to 171.227.255.254171.227.255.255262,142
122171.228.0.0/14171.228.0.1 to 171.231.255.254171.231.255.255262,142
123171.232.0.0/14171.232.0.1 to 171.235.255.254171.235.255.255262,142
124171.236.0.0/14171.236.0.1 to 171.239.255.254171.239.255.255262,142
125171.240.0.0/14171.240.0.1 to 171.243.255.254171.243.255.255262,142
126171.244.0.0/14171.244.0.1 to 171.247.255.254171.247.255.255262,142
127171.248.0.0/14171.248.0.1 to 171.251.255.254171.251.255.255262,142
128171.252.0.0/14171.252.0.1 to 171.255.255.254171.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses